version: '3'
services:
#  mongo:
#    image: mongo
#    restart: always
#    environment:
#      MONGO_INITDB_ROOT_USERNAME: root
#      MONGO_INITDB_ROOT_PASSWORD: example
#    ports:
#    - "27017:27017"
#
#  mongo-express:
#    image: mongo-express
#    restart: always
#    ports:
#      - 8081:8081
#    environment:
#      ME_CONFIG_MONGODB_ADMINUSERNAME: root
#      ME_CONFIG_MONGODB_ADMINPASSWORD: example

  api:
    build: .
    volumes:
      - ./app:/home/api/app
      - ./requirements:/home/api/requirements
      - ./tests:/home/api/tests
      - ./.flake8:/home/api/.flake8
    ports:
      - "5000:5000"
    environment:
      FLASK_ENV: development
#      FLASK_ENV: test
#      FLASK_ENV: prod
      FLASK_DEBUG: 1
      FLASK_CONFIG: docker
#    env_file: .env

volumes:
  data-volume:
